{
	"schema": "https://iot-ap.ikonke.com/model/product_3068.json",
	"productType": "curtain",
	"version": "1.0",
	"profile": {
		"heartbeat": "300",
		"productCode": "3068",
		"productName": "威刚系列.智能窗帘电机Z3S(KONKE)"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
			    {
				    "identifier": "OperationMode",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
				    "identifier": "LiftPercentage",
				    "dataType": {
				    	"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
				    },
				    "name": "窗帘开启百分比"
			    }
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置"
		}, 
		{
			"outputData": [
			    {
				    "identifier": "OperationMode",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
				    "identifier": "LiftPercentage",
				    "dataType": {
				    	"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
				    },
				    "name": "窗帘开启百分比"
			    }
			],
			"identifier": "get",
			"inputData": [
				"OperationMode",
				"LiftPercentage"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		},
		{
			"outputData": [],
			"identifier": "setLimitedPoint",
			"inputData": [],
			"method": "thing.service.setLimitedPoint",
			"name": "setLimitedPoint",
			"required": true,
			"callType": "async",
			"desc": "设置限位点"
		},
		{
			"outputData": [],
			"identifier": "resetLimitedPoint",
			"inputData": [],
			"method": "thing.service.resetLimitedPoint",
			"name": "resetLimitedPoint",
			"required": true,
			"callType": "async",
			"desc": "重置限位点"
		},
		{
			"outputData": [],
			"identifier": "reverse",
			"inputData": [],
			"method": "thing.service.reverse",
			"name": "reverse",
			"required": true,
			"callType": "async",
			"desc": "电机换向"
		},
		{
			"outputData": [],
			"identifier": "onOffReverse",
			"inputData": [],
			"method": "thing.service.onOffReverse",
			"name": "onOffReverse",
			"required": false,
			"callType": "async",
			"desc": "全开全关对调"
		}
	],
	"properties": [
	    {
		    "identifier": "OperationMode",
		    "dataType": {
			    "specs": {
				    "0": "关闭",
				    "1": "开启",
				    "2": "暂停"
			    },
			    "type": "enum"
		    },
		    "required": true,
		    "accessMode": "rw",
		    "name": "窗帘操作模式"
	    },
	    {
		    "identifier": "LiftPercentage",
		    "dataType": {
		    	"type": "int",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
		    },
		    "required": true,
		    "accessMode": "rw",
		    "name": "窗帘开启百分比"
	    }
	],
	"events": [
		{
			"outputData": [
			    {
				    "identifier": "OperationMode",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
				    "identifier": "LiftPercentage",
				    "dataType": {
				    	"type": "int",
						"specs": {
							"min": "0",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
				    },
				    "name": "窗帘开启百分比"
			    }
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		}
	]
}
